OpenNMS API 1.2.9

## org.opennms.netmgt.outage
Class OutageEventEntry

    java.lang.Object
      org.opennms.netmgt.outage.OutageEventEntry

public final class OutageEventEntry
extends java.lang.Object

This class defines the entries in the Outage cache.

Author:
  Tarus

Field Summary
`static int` `EVENT_TYPE_INTERFACE_DOWN`
`static int` `EVENT_TYPE_INTERFACE_UP`
`static int` `EVENT_TYPE_LOST_SERVICE`
`static int` `EVENT_TYPE_NODE_DOWN`
`static int` `EVENT_TYPE_NODE_UP`
`static int` `EVENT_TYPE_REGAINED_SERVICE` Lookup the event type
`private long` `m_eventId`
`private java.lang.String` `m_eventTime`
`private java.lang.String` `m_ipAddr`
`private long` `m_nodeId`
`private long` `m_serviceId`
`private int` `m_type`

Constructor Summary
`OutageEventEntry(long eventId, long nodeId, java.lang.String ipAddr, long serviceId, java.lang.String eventTime, int type)`

Method Summary
`(package private) long` `getEventId()`
`(package private) java.lang.String` `getEventTime()`
`(package private) java.lang.String` `getIpAddr()`
`(package private) long` `getNodeId()`
`(package private) long` `getSvcId()`
`(package private) int` `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EVENT_TYPE_REGAINED_SERVICE

    public static final int EVENT_TYPE_REGAINED_SERVICE

  Lookup the event type

  See Also:
    Constant Field Values

### EVENT_TYPE_LOST_SERVICE

    public static final int EVENT_TYPE_LOST_SERVICE

See Also:
  Constant Field Values

### EVENT_TYPE_INTERFACE_UP

    public static final int EVENT_TYPE_INTERFACE_UP

See Also:
  Constant Field Values

### EVENT_TYPE_INTERFACE_DOWN

    public static final int EVENT_TYPE_INTERFACE_DOWN

See Also:
  Constant Field Values

### EVENT_TYPE_NODE_UP

    public static final int EVENT_TYPE_NODE_UP

See Also:
  Constant Field Values

### EVENT_TYPE_NODE_DOWN

    public static final int EVENT_TYPE_NODE_DOWN

See Also:
  Constant Field Values

### m_nodeId

    private long m_nodeId

### m_ipAddr

    private java.lang.String m_ipAddr

### m_serviceId

    private long m_serviceId

### m_eventId

    private long m_eventId

### m_eventTime

    private java.lang.String m_eventTime

### m_type

    private int m_type

Constructor Detail

### OutageEventEntry

    public OutageEventEntry(long eventId,
                            long nodeId,
                            java.lang.String ipAddr,
                            long serviceId,
                            java.lang.String eventTime,
                            int type)

Method Detail

### getNodeId

    long getNodeId()

### getIpAddr

    java.lang.String getIpAddr()

### getSvcId

    long getSvcId()

### getEventTime

    java.lang.String getEventTime()

### getType

    int getType()

### getEventId

    long getEventId()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.